import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:softcorp_flutter_core/constants.dart';
import 'dart:html' as html;
import 'package:dart_softcorp/softcorp.pbgrpc.dart' as SoftcorpGrpc;
import 'package:softcorp_flutter_core/default_header_card/default_header_card.dart';

class AboutClient extends StatelessWidget {
  final SoftcorpGrpc.ClientApp app;
  const AboutClient({Key? key, required this.app}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        constraints: const BoxConstraints(maxWidth: 800),
        child: DefaultHeaderCard(
          title: "About " + app.name,
          icon: const Icon(
            Icons.info_outline_rounded,
            size: 45,
            color: Colors.white,
          ),
          subtitle: app.name,
          child: Column(
              crossAxisAlignment: CrossAxisAlignment.center,
              mainAxisAlignment: MainAxisAlignment.end,
              children: [
                Align(
                  alignment: Alignment.topLeft,
                  child: Text(
                    app.about,
                    style: const TextStyle(
                      color: defaultBodyColor,
                      fontSize: 15,
                      overflow: TextOverflow.ellipsis,
                      height: 1.5
                    ),
                    maxLines: 5,
                  ),
                ),
                const SizedBox(height: defaultPadding*2),
                Wrap(
                  crossAxisAlignment: WrapCrossAlignment.end,
                  alignment: WrapAlignment.spaceEvenly,
                  children: [
                    TextButton(
                      onPressed: () {
                        html.window.open(app.appWebsite, 'new tab');
                      },
                      child: Text(
                        app.appWebsite,
                        style: const TextStyle(
                          color: defaultPrimaryColor,
                          fontWeight: FontWeight.w400,
                        ),
                      ),
                    ),
                    TextButton(
                      onPressed: () {
                        html.window
                            .open("mailto:" + app.contactEmail, 'new tab');
                      },
                      child: Text(
                        app.contactEmail,
                        style: const TextStyle(
                          color: defaultPrimaryColor,
                          fontWeight: FontWeight.w400,
                        ),
                      ),
                    ),
                    TextButton(
                      onPressed: () {
                        html.window.open(app.termsUrl, 'new tab');
                      },
                      child: Text(
                        app.termsUrl,
                        style: const TextStyle(
                          color: defaultPrimaryColor,
                          fontWeight: FontWeight.w400,
                        ),
                      ),
                    ),
                  ],
                ),
              ],
            ),
          ),
        ),
    );
  }
}
