import 'package:connect_flutter/main/main_screen.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:softcorp_flutter_core/constants.dart';
import 'package:softcorp_flutter_core/responsive/responsive.dart';
import 'package:websafe_svg/websafe_svg.dart';

class ErrorScreen extends StatelessWidget {
  const ErrorScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery.of(context).size;
    return MainScreen(
      compactRightHeight: 700,
      compactLeftHeight: 400,
      rightChild: Padding(
        padding: const EdgeInsets.only(left: defaultPadding * 4, right: defaultPadding * 4),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            if(!Responsive.isMobile(context))
              const SizedBox(height: 250),
            SizedBox(
              height: 300,
              child: WebsafeSvg.asset("assets/illustrations/404.svg"),
            ),
            const Text(
              "Error 404 - Something went wrong",
              style: TextStyle(
                color: defaultTitleColor,
                fontWeight: FontWeight.w500,
                fontSize: 38,
              ),
            ),
            const SizedBox(
              height: defaultPadding * 2,
            ),
            const Text(
              "An error occurred or the page you requested could not be found. If you think this is a problem at our end, contact us.",
              style: TextStyle(
                  color: defaultSubTitleColor,
                  fontWeight: FontWeight.w400,
                  fontSize: 20),
            ),
          ],
        ),
      ),
    );
  }
}
