import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:softcorp_flutter_core/footer/footer.dart';
import 'package:websafe_svg/websafe_svg.dart';
import 'dart:html' as html;

class ConnectFooter extends StatelessWidget {
  const ConnectFooter({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Footer(
      backgroundColor: Colors.black,
      child: Padding(
        padding: const EdgeInsets.all(5.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.spaceAround,
          children: <Widget>[
            Center(
              child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                children: <Widget>[
                  TextButton(
                    child: const Text(
                      "About Softcorp",
                      style: TextStyle(color: Colors.white),
                    ),
                    onPressed: () {
                      html.window.open('https://softcorp.io', 'new tab');
                    },
                  ),
                  TextButton(
                    child: const Text(
                      "About Connect",
                      style: TextStyle(color: Colors.white),
                    ),
                    onPressed: () {
                      html.window
                          .open('https://softcorp.io/connect', 'new tab');
                    },
                  ),
                  TextButton(
                    child: const Text(
                      "Terms & Conditions",
                      style: TextStyle(color: Colors.white),
                    ),
                    onPressed: () {
                      html.window
                          .open('https://softcorp.io/connect/terms', 'new tab');
                    },
                  ),
                ],
              ),
            ),
            Row(
              crossAxisAlignment: CrossAxisAlignment.center,
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                const Text(
                  'Developed by Softcorp',
                  style: TextStyle(
                      fontWeight: FontWeight.w500,
                      fontSize: 12.0,
                      color: Colors.white),
                ),
                const SizedBox(
                  width: 5,
                ),
                WebsafeSvg.asset("assets/logos/softcorp-color.svg",
                    height: 12.0),
              ],
            ),
            const Text(
              'Copyright © 2021, All Rights Reserved.',
              style: TextStyle(
                  fontWeight: FontWeight.w400,
                  fontSize: 12.0,
                  color: Colors.white70),
            ),
          ],
        ),
      ),
    );
  }
}
